

@font-face {
    font-family: 'suisse-light';
    src: url('./fonts/SuisseIntl-Light.woff2') format('woff2'),
         url('./fonts/SuisseIntl-Light.woff') format('woff'),
         url('./fonts/SuisseIntl-Light.otf') format('opentype'),
         url('./fonts/SuisseIntl-Light.eot') format('embedded-opentype');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'suisse-semibold';
    src: url('./fonts/SuisseIntl-SemiBold.woff2') format('woff2'),
         url('./fonts/SuisseIntl-SemiBold.woff') format('woff'),
         url('./fonts/SuisseIntl-SemiBold.otf') format('opentype'),
         url('./fonts/SuisseIntl-SemiBold.eot') format('embedded-opentype');
    font-weight: normal;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    font-size: 16px;
}


.fade-out {
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}


body {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    background: url('./images/fondo.jpg') no-repeat center center/cover;
    background-blend-mode: multiply; /* Estilo de fusión */
    background-color: #f4f4f4;
    font-family: 'suisse-semibold', serif;
    font-weight: 300;
}

#button {
    position: absolute;
    padding: 0.2px;
    top: 10%;
    left: 10%;
    width: 140px;
    height: 140px;
    border-radius: 100%;
    background-color: #0029FF;
    color: white;
    border: none;
    font-size: 24px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    font-family: 'suisse-semibold', serif;
    line-height: 1;
    transform: rotate(-15deg);
    outline: none; /* Elimina el contorno de enfoque */
    box-shadow: none; /* Elimina la sombra al hacer clic */
    transition: background-color 0.3s ease, box-shadow 0.3s ease; /* Suaviza la transición */
}


#stack {
    position: relative;
    width: 50%;
    height: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.card {
    position: absolute;
    width: 100%;
    height: 100%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    border-radius: 30px;
    transform-origin: center;
    transition: transform 0.3s ease, z-index 0s 0.3s, background-color 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 50px;
    line-height: 1.2;
    font-weight: bold;
    color: white;
    flex-direction: column;
}

.card.front {
    transform: scale(1.3);
}

.card p {
    margin: 0;
    text-align: center;
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
    padding: 1em;
}

.card svg {
    position: absolute; /* Coloca el SVG encima de la tarjeta, pero detrás del contenido */
    top: 50%; /* Centrado vertical */
    left: 50%; /* Centrado horizontal */
    transform: translate(-50%, -50%); /* Ajuste perfecto para centrar */
    width: 100%;
    height: 100%; /* Mantener la proporción */
    z-index: -1; /* Asegura que el SVG quede detrás del texto */
}

#screenshotButton {
    padding: 2rem 4rem; /* Tamaño del botón */
    background-color: #D4A4F6; /* Color del texto del botón */
    color: rgb(0, 0, 0);
    border: none;
    border-radius: 100px; /* Bordes redondeados */
    cursor: pointer; /* Cambiar el cursor al pasar sobre el botón */
    transition: background-color 0.3s ease; /* Efecto suave al pasar el cursor */
    display: block; /* Hacer que el botón sea un bloque para que ocupe el 100% del ancho disponible */
    width: 97%; /* Ancho del botón */
    text-align: center; /* Centrar el texto dentro del botón */
    align-self: center; /* Asegura que el botón se centre en su contenedor */
    font-family: 'suisse-semibold';
    text-transform: uppercase;
    letter-spacing: 1px;
    position: absolute;
    bottom: .5em;
    margin: 1rem 2rem;
    line-height: 1.2;
    font-size: 1.4rem;
}



@media (max-width: 768px) {
    
 

    #button {
        position: absolute;
        top: 1rem;
        left: 1rem;
        z-index: 9;
    }

    #stack {
        width: 75%;
        height: 100dvh;
        justify-content: center;
    }

    .card {
        width: 100%;
        height: 50dvh;
        transform: rotate(0deg);
    }

    .card p{
        font-size:1.4rem;
    }

    .card svg {
        /*width: 100%;*/
        height: 70%; /* Mantener la proporción */
    }
    
    #screenshotButton {
         position: absolute;
        padding: 1rem;
        bottom: 0.5rem;
        font-size:1rem;
        margin: 0 1rem;
}

}
